=== debian/changelog ===
ros-indigo-myo-ros (0.1.2-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Ryan Gariepy <rgariepy@clearpathrobotics.com>  Wed, 07 Jan 2015 16:27:35 -0000

ros-indigo-myo-ros (0.1.1-0trusty) trusty; urgency=high

  * Initial release
  * Contributors: Ryan Gariepy

 -- Ryan Gariepy <rgariepy@clearpathrobotics.com>  Wed, 07 Jan 2015 05:00:00 -0000
