=== debian/control ===
Source: ros-indigo-myo-ros
Section: misc
Priority: extra
Maintainer: Ryan Gariepy <rgariepy@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/myo_ros
Standards-Version: 3.9.2

Package: ros-indigo-myo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-std-msgs
Description: The myo_ros package
